# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name MonadCatchIO-transformers

%global common_summary Exception handling with IO monad transformers

%global common_description This library provides functions to throw and catch exceptions.\
Unlike the functions from Control.Exception, which work in IO,\
these work in any stack of monad transformers (from the transformers package)\
with IO as the base monad. You can extend this functionality to other monads,\
by creating an instance of the MonadCatchIO class.

Name:           ghc-%{pkg_name}
Version:        0.3.0.0
Release:        5%{?dist}
Summary:        %{common_summary}

License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-extensible-exceptions-devel
BuildRequires:  ghc-transformers-devel
# End cabal-rpm deps

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}

# fix dos encoding
sed -i 's/\r//' LICENSE


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files LICENSE


%changelog
* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Nov 17 2012 Jens Petersen <petersen@redhat.com> - 0.3.0.0-4
- update with cabal-rpm

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 16 2012 Jens Petersen <petersen@redhat.com> - 0.3.0.0-2
- change prof BRs to devel

* Mon Jun 11 2012 Jens Petersen <petersen@redhat.com> - 0.3.0.0-1
- update to 0.3.0.0

* Sun Mar 18 2012 Jens Petersen <petersen@redhat.com> - 0.2.2.3-4
- update to cabal2spec-0.25

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Nov  1 2011 Jens Petersen <petersen@redhat.com> - 0.2.2.3-2
- fix dos encoding of LICENSE file (#746415)

* Sat Oct 29 2011 Jens Petersen <petersen@redhat.com> - 0.2.2.3-1
- update to 0.2.2.3, relicensed upstream to BSD

* Sat Oct 15 2011 Jens Petersen <petersen@redhat.com> - 0.2.2.2-2
- update to cabal2spec-0.24.1
- fix license tag and add extensible-exceptions dep

* Sat Sep 04 2010 Ben Boeckel <mathstuf@gmail.com> - 0.2.2.0-1
- Initial package

* Sat Sep  4 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.2.2.0-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
